probe::nfsd.write
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfsd.write — NFS server writing data to a file for client

## Synopsis

    nfsd.write

## Values

`vlen`

  read blocks

`offset`

  the offset of file

`size`

  read bytes

`client_ip`

  the ip address of client

`fh`

  file handle (the first part is the length of the file handle)

`vec`

  struct kvec, includes buf address in kernel address and length of each buffer

`count`

  read bytes

`file`

  argument file, indicates if the file has been opened.

Prev | Up | Next
probe::nfsd.unlink | Home | Chapter 32. Speculation